#! /usr/bin/python3
import Adafruit_LSM303
import Adafruit_PCA9685
import time
SLEEPINTERVAL=0.5
INT2G=1024
TOOTILTED=0.9
LEDCONNECTION=15
LEDONLEVEL=3000
DEBUG=True
lsm303 = Adafruit_LSM303.LSM303()
pwm = Adafruit_PCA9685.PCA9685()

while True:
    accel = lsm303.read()[0]
    zv = accel[2]/INT2G
    if zv <= TOOTILTED:
        if DEBUG:
            print('tilting @ {0}'.format(zv))
        pwm.set_pwm(LEDCONNECTION,0,LEDONLEVEL)
    else:
        if DEBUG:
            print('level @ {0}'.format(zv))
        pwm.set_pwm(LEDCONNECTION,0,0)
    time.sleep(SLEEPINTERVAL)
