#! /usr/bin/python3
import Adafruit_ADXL345
import Adafruit_PCA9685
import time
SLEEPINTERVAL=0.5
INT2G=256
TOOTILTED=0.9
LEDCONNECTION=15
LEDONLEVEL=3000
DEBUG=True
adxl345 = Adafruit_ADXL345.ADXL345()
pwm = Adafruit_PCA9685.PCA9685()

while True:
    accel = adxl345.read()
    zv = accel[2]/INT2G
    if zv <= TOOTILTED:
        if DEBUG:
            print('tilting @ {0}'.format(zv))
        pwm.set_pwm(LEDCONNECTION,0,LEDONLEVEL)
    else:
        if DEBUG:
            print('level @ {0}'.format(zv))
        pwm.set_pwm(LEDCONNECTION,0,0)
    time.sleep(SLEEPINTERVAL)
